Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.uicli.jui
Class JUTreeDefaultMouseListener

`java.lang.Object
java.awt.event.MouseAdapter
oracle.jbo.uicli.jui.JUTreeDefaultMouseListener`

All Implemented Interfaces:
  java.util.EventListener, java.awt.event.MouseListener

public class JUTreeDefaultMouseListener
extends java.awt.event.MouseAdapter

A sample mouse adapter that could be wired up with a JUTreeBinding to handle double-click on the tree nodes: The selected row is made current in the associated row iterator. This is used to allow JTree to be used as a row-navigation control.

Constructor Summary
`JUTreeDefaultMouseListener(JUPanelBinding panelBinding, java.lang.String[][] rulesactions)` Constructor.
`JUTreeDefaultMouseListener(JUPanelBinding panelBinding, java.lang.String[][] rulesactions, boolean doubleClick)` Constructor

Method Summary
`JUPanelBinding` | `getPanelBinding()` Gets the panelBinding containing the iterators for which tree needs to sync.
`java.lang.String[][]` | `getRulesActions()` Defines the target iterator per rule definition.
`boolean` | `isDoubleClick()` will a double click activate the events ?
`protected JUIteratorBinding` | `lookupIterBinding(java.lang.String name)`
`void` | `mousePressed(java.awt.event.MouseEvent e)`
`void` | `setDoubleClick(boolean doubleClick)` Controls whether a double-click will activate the events (true is the default).
`void` | `setPanelBinding(JUPanelBinding panelBinding)` Sets the panelBinding containing the iterators for which the tree needs to sync.
`void` | `setRulesActions(java.lang.String[][] rulesactions)` Defines one target iterator per rule.

Methods inherited from class java.awt.event.MouseAdapter
`mouseClicked, mouseEntered, mouseExited, mouseReleased`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JUTreeDefaultMouseListener

    public JUTreeDefaultMouseListener(JUPanelBinding panelBinding,
                                      java.lang.String[][] rulesactions)

  Constructor.
Parameters:
  `panelBinding` - The panelBinding containing the iterators for which the tree needs to sync.
  `rulesactions` - defines an target iterator per rule.

  example : new String [][] { { "NodeRule1", "DeptViewIter" }, { "NodeRule2", "EmpView1Iter" } } });

### JUTreeDefaultMouseListener

    public JUTreeDefaultMouseListener(JUPanelBinding panelBinding,
                                      java.lang.String[][] rulesactions,
                                      boolean doubleClick)

  Constructor
Parameters:
  `panelBinding` - The panelBinding containing the iterators for which the tree needs to sync.
  `rulesactions` - defines an target iterator per rule.

  example : new String [][] { { "NodeRule1", "DeptViewIter" }, { "NodeRule2", "EmpView1Iter" } } });

  `doubleClick` - defining doubleclick or not (true is the default)

Method Detail

### setPanelBinding

    public void setPanelBinding(JUPanelBinding panelBinding)

  Sets the panelBinding containing the iterators for which the tree needs to sync.
  Parameters:
    `panelBinding` - The panelBinding.
  See Also:
    `getPanelBinding()`

### getPanelBinding

    public JUPanelBinding getPanelBinding()

  Gets the panelBinding containing the iterators for which tree needs to sync.
  Returns:
    panelBinding The panelBinding.
  See Also:
    `setPanelBinding(oracle.jbo.uicli.jui.JUPanelBinding)`

### setRulesActions

    public void setRulesActions(java.lang.String[][] rulesactions)

  Defines one target iterator per rule.
  Parameters:
    `rulesactions` - Defines an target iterator per rule. example : new String [][] { { "NodeRule1", "DeptViewIter" }, { "NodeRule2", "EmpView1Iter" } } });
  See Also:
    `getRulesActions()`

### getRulesActions

    public java.lang.String[][] getRulesActions()

  Defines the target iterator per rule definition.
  Returns:
    rulesactions Defines an target iterator per rule.
  See Also:
    `setRulesActions(java.lang.String[][])`

### setDoubleClick

    public void setDoubleClick(boolean doubleClick)

  Controls whether a double-click will activate the events (true is the default).
  Parameters:
    `doubleClick` - Specifies whether double-clicking is required.
  See Also:
    `isDoubleClick()`

### isDoubleClick

    public boolean isDoubleClick()

  will a double click activate the events ?
  Returns:
    doubleClick Specifies whether double-clicking is required.
  See Also:
    `setDoubleClick(boolean)`

### lookupIterBinding

    protected JUIteratorBinding lookupIterBinding(java.lang.String name)

### mousePressed

    public void mousePressed(java.awt.event.MouseEvent e)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.